clear all,clc

%% Parametrizzazione del modello
% Parametri serbatoio  #1
a1=5;
w1=1;

% Parametri serbatoio  #2
c2=3;
w2=1;
teta2=pi/4;

% Parametri serbatoio  #2
a3=4;
w3=2;

% Coefficienti di efflusso
C12=0.5;
C23=0.6;

% Condizioni iniziali 
H10=1;
H20=2;
H30=3;

%% Run del modello e creazione grafici
sim('Serbatoi_v01')

figure(1)
plot(H1,'LineWidth',2)
grid,
xlabel('Tempo [s]')
title('Livello H1')

figure(2)
plot(H2,'LineWidth',2)
grid,
xlabel('Tempo [s]')
title('Livello H2')

figure(3)
plot(H3,'LineWidth',2)
grid,
xlabel('Tempo [s]')
title('Livello H3')

figure(4)
plot(H1.Time,[H1.Data H2.Data H3.Data],'LineWidth',2)
grid,
xlabel('Tempo [s]')
title('Livello H1 H2 ed H3')
legend('H_1', 'H_2', 'H_3')